com.pixelmed.display

## Class DicomImageBlackout.CenterMaximumAfterInitialSizeLayout

- java.lang.Object
- - com.pixelmed.display.DicomImageBlackout.CenterMaximumAfterInitialSizeLayout

All Implemented Interfaces:
  java.awt.LayoutManager

Enclosing class:
  DicomImageBlackout

    protected class DicomImageBlackout.CenterMaximumAfterInitialSizeLayout
    extends java.lang.Object
    implements java.awt.LayoutManager

### Constructor Summary

Constructors
Constructor and Description
`DicomImageBlackout.CenterMaximumAfterInitialSizeLayout()`

### Method Summary

Methods
`void` `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
`void` `layoutContainer(java.awt.Container parent)`
`java.awt.Dimension` `minimumLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` `preferredLayoutSize(java.awt.Container parent)`
`void` `removeLayoutComponent(java.awt.Component comp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DicomImageBlackout.CenterMaximumAfterInitialSizeLayout

    public DicomImageBlackout.CenterMaximumAfterInitialSizeLayout()

### Method Detail

#### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                          java.awt.Component comp)

Specified by:
  `addLayoutComponent` in interface `java.awt.LayoutManager`

#### layoutContainer

    public void layoutContainer(java.awt.Container parent)

Specified by:
  `layoutContainer` in interface `java.awt.LayoutManager`

#### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

Specified by:
  `minimumLayoutSize` in interface `java.awt.LayoutManager`

#### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

Specified by:
  `preferredLayoutSize` in interface `java.awt.LayoutManager`

#### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

Specified by:
  `removeLayoutComponent` in interface `java.awt.LayoutManager`